EDIT - feature request #9906

Implement credits in dataportal
01/04/2022 09:49 AM - Andreas Mller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

Credits are editable in TaxEditor but currently not yet visible in the CDM dataportals. However, in future they will be more and more
needed and also there are already workarounds in use (e.g. Cichorieae).

Issues to be solved:

® where to show credits and in which format

¢ only for taxa or also for other datatypes (names, occurrences, descriptive datasets, ...)

e is the current data model sufficient (currently it contains an agent - person, team or institute - and a single language freetext),
timeperiod added by #9908

* how to label credits, maybe contributions or author contributions is better

e tbc
Related issues:
Related to EDIT - feature request #10098: Implement timePeriod for Credit in ... Closed
Blocked by EDIT - feature request #9908: Add timeperiod to credits Closed
History

#1 - 01/04/2022 09:52 AM - Andreas Miiller

- File picture168-1.png added

- File picture168-2.png added

ERS:

eine Frage zur Portal-Gestaltung: im Cichorieae-Portal gibt es auf einzelnen Taxon-Seiten die Kategorie “Credits” (siehe screenshot oben). Das hatte
ich auch gern, habe aber nicht gefunden, wie ich das im Euro+Med-Portal konfigurieren kann. Mittlerweile mache ich dort vieles selbst (siehe z.B.
meine neuen Tabs ,New Taxa“, ,Notulae“); wenn ich wei3 wo ich bei der Konfiguration was selbst einfiigen kann, misst ihr euch also nicht
kimmern.

AM:

das sind Taxon-spezifische Credits. Die wurden bei den Cichorieen als Fakt vom Typ ,Credits” eingegeben, z.B. so
Das ist aber wohl derzeit keine Standard-Faktenkategorie sondern sie wurde flr die Cichorieen hinzugefugt.

Eigentlich hat das CDM einen eigenen Ort um solche Credits hinzuzufiigen, ndmlich bei den Supplemental Data, also hier:
https://dev.e-taxonomy.eu/redmine/issues/9908
Allerdings wurde das vermutlich noch nie richtig verwendet und dadurch werden die dort eingetragenen Daten wohl bislang auch noch nicht im Portal
angezeigt. Andreas K. weil3 da genaueres, er kommt am Mittwoch wieder aus dem Urlaub zurick.

Grundsatzlich fande ich es eigentlich besser, wenn wir den vom CDM vorgesehen Ort fiir die Credits verwenden und nicht den Workaround der
Cichorieen. Dafur sollten wir besprechen, wie aufwendig es ist, die Credits auch im Portal anzuzeigen und ob das vorgesehene Datenmodel mit
Agent (Person, Team oder Institut) und Text so korrekt ist und ausreicht. In den Cichorieen wird ja oft auch eine Referenz statt eines reinen Autors
genannt. Wird das in E+M evtl. auch benétigt? Ich bin mir nicht ganz sicher, warum bei den Cichorieen fir solche Quellen von z.B. Bildern nicht
einfach die normalen Quellenangaben verwendet wurden sondern stattdessen die Faktenkategorie ,Credits*.

Eine andere Frage wére die Wiederverwendung von Credits. Wenn die exakt gleichen Credits hdufig vorkommen, sollte man tiber Wiederverwendung
nachdenken, da das Performance-Vorteile hat, die Daten schneller eingebbar sind und Fehler durch Redundanz vermieden werden. Aber es hat auch
Nachteile, da Initial ein bisschen aufwendig zu implementieren und bei neuen Datensatzen auch aufwendiger zum Eingeben.

Ich nehme mal Norbert in cc, da er ja bereits Erfahrung mit den Credits hat. Vielleicht hat er da noch Anregungen. Wobei viele der Credits glaube ich
auch noch aus Berlin-Modelzeiten kommen, also von dir und Ralf eingegeben wurden wéhrend EDIT.

NoK:

zu Cichorieen und Credits:

Diese Praxis war das Ergebnis einer Diskussion aus den Anfangszeiten des CDMs als vieles, was es heute gibt, noch gar nicht méglich war und war
urspriinglich daftir gedacht, Beitrage fur originale (also nicht irgendwo bereits publizierte) und oft auch nicht leicht einzeln referierbare Beitrage zu
einzelnen Taxa (i.d.R. Arten) in gut sichtbarer Weise zu geben. Eckhard misste die Diskussion noch in Erinnerung haben. Natirlich ist schon jedes
einzelne Bild durch einen Bildautor referiert, aber das ist eben etwas anderes, als auf héherer Ebene deutlich zu machen, dass jemand durch
Beitrage (wie der lllustration eines Art durch eine Anzahl Bilder) quasi eine Mitautorenschaft an der Publikation eines Taxons im Portal hat. Und mit
den Credits geht es genau darum, Mitautorschaften an Taxa sichtbar zu machen, auch um Anreize fiir solche zu schaffen. Mit der Idee, Contributors
auch mit Angabe der Art ihres Beitrages Credit zu geben, waren wir, finde ich, auBerdem auf dem richtigen Weg, wenn man bedenkt, dass es sich
heute durchzusetzen beginnt, in Zeitschriftenartikeln eine Sektion "Autor Contributions” mit der Nennung der Art der Beitrédge der einzelnen Autoren
aufzunehmen. Wir hatten uns fur die Art der Beitrdge auch schon angefangen, vereinheitlichende Standards zu tberlegen (Thema
Wiederverwertbarkeit)

Dass die Credit-Eingabe unter Zusatzdaten noch nicht verwendet wurde, liegt daran, dass sie nicht im Portal angezeigt wird (nicht anderes herum)
und mir bis heute auch nicht klar ist, wo und wie diese Angabe denn dann auch angezeigt wirde und ob sie die 0.g. Funktionen tuberhaupt erfillt.
Wenn sie das Genannte leisten kann und obendrein vielleicht gar eine bessere Form der Darstellung ermdglicht, ware es mir mehr als recht, diese zu
benutzen.

AM:

das ist interessant. Dann sollten wir weiterdenken und Uiberlegen, wie die Credits im Portal angezeigt werden sollten und ob das bisherige
Datenmodell die Bedrfnisse abdeckt.
Ich habe mir mal die bisherigen 1713 Eintrage bei den Cichorieen angeschaut. Diese folgen wohl alle dem Schema:

{Autor} {Jahr}: {Information}

Im derzeitigen Model mit Agent und Freitext scheint also zumindest die Jahresinformation zu fehlen. Nicht klar ist mir dabei, ob Autor+Jahr dabei die
Kurzform fir eine Referenz sein soll oder ob hier explizit nur die Kombination Agent + Datum, wann der Beitrag erfolgt ist gemeint ist. Ersteres ginge
dann ja wieder in Richtung vollstédndige Quellenangabe. Falls dies gewollt ist missten wir definieren, wie die Abgrenzung zu ,normalen” Quellen
definiert sein soll.

Ort: Reicht es, wenn die Credits z.B. immer oberhalb der Literatur erscheinen oder ist es eine Anforderung, dass sie (wie jetzt beim Workaround)
irgendwo in den Feature Tree eingebaut werden kdnnen. Letzteres wére vermutlich aufwendiger zu implementieren.

Wie sehen denn die Sektionen "Autor Contributions", die in Zeitschriften jetzt vorkommen in der Regel aus. Hast du Beispiele? Beziehen sie sich auf
andere Publikationen oder nur auf ,Agents“? Auf Grundlage der Beispiele, was wiirde in unserem Datenmodell noch fehlen?
NoK:

{Autor} {Jahr}: {Information}: ja die Kombination Agent + Datum gibt an, wann der Beitrag erfolgt ist; Referenzen werden hier grundsétzlich nicht
aufgefihrt.

Ort: ganz flexibel ist m.E. nicht n&tig; immer vor der Literatur ware eine Variante; aber das sollten wir uns genauer Uberlegen, wenn wir an eine
Neuimplementierung dieses Features gehen, auch ob "Credits" tatsachlich die beste Uberschirift ist, und nicht vielleicht "Contributors”, oder was
anderes. Die Nennung von Contributors ist ja auch im Zusammenhang mit der Zitierweise einer Taxonseite zu sehen. Ist also schon ein weites Feld

Ob die von mir erwahnte "Autor Contributions"-Sektion in Zeitschriften (Bezug nur auf die Autoren als "Agents" des jeweiligen Papers) flr uns der
Form nach wirklich relevant ist, weif3 ich nicht. Nachfolgend mal zwei Beispiele:

Author contributions

Y.Z.J. and M.X.Z. discovered the wild population, collected the specimens and have taken the photos of it. Ze-
Huan Wang prepared the DNA samples and performed the sequencing. Y.L. counted the chromosomes. N.K., Z.H.W. an
d H.P. elaborated the taxonomy. N.K. performed the molecular phylogenetic analyses and wrote the manuscript in
discussion with and with substantial contributions from Z.H.W. All authors read and commented on the manuscri

pt.

Author Contributions

N.K. and K.E.J. designed the project. K.E.J and E.H. performed the laboratory work and generated data. N.K. an
d E.H. conducted post-sequencing data processing and phylogenetic analyses. E.H. and N.K. discussed the result
s and wrote the manuscript. K.E.J. revised and commented on and revised the manuscript. All authors read and a
pproved the final manuscript.

#2 - 01/04/2022 01:45 PM - Andreas Miiller
- Description updated

#3 - 01/04/2022 01:49 PM - Andreas Miiller
- Blocked by feature request #9908: Add timeperiod to credits added

#4 - 07/23/2022 12:40 AM - Andreas Miiller
- Related to feature request #10098: Implement timePeriod for Credit in TaxEditor added

#5 - 07/23/2022 12:43 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Release 5.46 to Release 5.44
Model was adapte. Now we can implement in dataportal. Maybe we can do this during the performance sprint.

#6 - 08/23/2022 03:40 PM - Andreas Miiller

- Description updated

Files

picture168-1.png 87.4 KB 01/04/2022 Andreas Muller
picture168-2.png 107 KB 01/04/2022 Andreas Miller
